Bug 171224 - [NEW PORT] games/bouncy: You are a hungry rabbit. Eat food to complete the level
Summary: [NEW PORT] games/bouncy: You are a hungry rabbit. Eat food to complete the level
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rusmir Dusko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-01 02:10 UTC by nemysis
Modified: 2013-11-26 18:50 UTC (History)
1 user (show)

See Also:


Attachments
.shar (3.17 KB, text/plain)
2012-09-01 02:10 UTC, nemysis
no flags Details
bouncy.shar (3.13 KB, application/x-shar)
2012-09-13 10:21 UTC, nemysis
no flags Details
bouncy.shar (3.09 KB, application/x-shar)
2012-09-29 21:57 UTC, nemysis
no flags Details
bouncy.shar (3.27 KB, application/x-shar)
2012-10-11 03:01 UTC, nemysis
no flags Details
bouncy.shar (6.27 KB, application/x-shar)
2012-11-06 00:06 UTC, nemysis
no flags Details
bouncy.shar (6.51 KB, application/x-shar)
2013-02-14 13:57 UTC, nemysis
no flags Details
bouncy.shar (6.51 KB, application/x-shar)
2013-02-14 14:54 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-09-01 02:10:06 UTC
You play Bouncy the Hungry Rabbit.
You're in a garden with yummy veggies and a farmer who's not keen on you
eating them. You can hide (and move around) under the ground.

Bouncy was written so it could be enjoyed by my daughter,
who is about to turn 3, and by older gamers. Hence it's not a violent game
and "easy" is really, really easy, and "hard" is challenging.

WWW: http://pyweek.org/e/bouncy/

Generated and tested manually, tested with port test and with RedPorts (all RELEASES), sent with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 nemysis 2012-09-13 10:21:25 UTC
Changed to use

RUN_DEPENDS= ${PYGAME}
Comment 2 nemysis 2012-09-29 21:57:25 UTC
Changed

files/bouncy.in

${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
Comment 3 nemysis 2012-10-11 03:01:21 UTC
Added

OPTIONS_DEFINE= SHADER
SHADER_DESC=    Hardware shader support
Comment 4 nemysis 2012-11-06 00:06:18 UTC
Removed PORTDATA= *

Added pkg-plist
Comment 5 nemysis 2013-02-14 13:57:52 UTC
portlint -A
WARN: Makefile: [35]: possible direct use of command "false" found. use ${FALSE} instead.
WARN: Makefile: [10]: possible direct use of command "python" found. use ${PYTHON_CMD} instead.
WARN: Makefile: only one MASTER_SITE configured.  Consider adding additional mirrors.
0 fatal errors and 3 warnings found.

port test: clean
Comment 6 nemysis 2013-02-14 14:54:13 UTC
portlint -A
WARN: Makefile: [36]: possible direct use of command "false" found. use ${FALSE} instead.
WARN: Makefile: [9]: possible direct use of command "python" found. use ${PYTHON_CMD} instead.
0 fatal errors and 2 warnings found.

port test: clean
Comment 7 Martin Wilke freebsd_committer 2013-08-14 10:23:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemysis

submitter is committer now.
Comment 8 Rusmir Dusko freebsd_committer 2013-11-26 18:42:14 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 9 dfilter service freebsd_committer 2013-11-26 18:44:41 UTC
Author: nemysis
Date: Tue Nov 26 18:44:26 2013
New Revision: 334963
URL: http://svnweb.freebsd.org/changeset/ports/334963

Log:
  You play Bouncy the Hungry Rabbit.
  
  You're in a garden with yummy veggies and a farmer who's not keen on you
  eating them. You can hide (and move around) under the ground.
  
  Bouncy was written so it could be enjoyed by my daughter,
  who is about to turn 3, and by older gamers. Hence it's not a violent game
  and "easy" is really, really easy, and "hard" is challenging.
  
  WWW: http://pyweek.org/e/bouncy/
  
  PR:		ports/171224
  Submitted by:	nemysis (self)
  Approved by:	wg (mentor)

Added:
  head/games/bouncy/
  head/games/bouncy/Makefile   (contents, props changed)
  head/games/bouncy/distinfo   (contents, props changed)
  head/games/bouncy/files/
  head/games/bouncy/files/bouncy.in   (contents, props changed)
  head/games/bouncy/pkg-descr   (contents, props changed)
  head/games/bouncy/pkg-plist   (contents, props changed)
Modified:
  head/games/Makefile

Modified: head/games/Makefile
==============================================================================
--- head/games/Makefile	Tue Nov 26 18:40:10 2013	(r334962)
+++ head/games/Makefile	Tue Nov 26 18:44:26 2013	(r334963)
@@ -96,6 +96,7 @@
     SUBDIR += bombz
     SUBDIR += bomns
     SUBDIR += boswars
+    SUBDIR += bouncy
     SUBDIR += bovo
     SUBDIR += braincurses
     SUBDIR += brainparty

Added: head/games/bouncy/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/bouncy/Makefile	Tue Nov 26 18:44:26 2013	(r334963)
@@ -0,0 +1,71 @@
+# Created by: Rusmir Dusko <nemysis@FreeBSD.org>
+# $FreeBSD$
+
+PORTNAME=	bouncy
+PORTVERSION=	r6
+CATEGORIES=	games python
+MASTER_SITES=	http://media.pyweek.org/dl/3/bouncy/ \
+		SF/nemysisfreebsdp/games/${PORTNAME}/:icons
+DISTFILES=	${PORTNAME}-post-${DISTVERSION}.tgz \
+		${PORTNAME}.png:icons
+DIST_SUBDIR=	python
+EXTRACT_ONLY=	${PORTNAME}-post-${DISTVERSION}.tgz
+
+MAINTAINER=	nemysis@FreeBSD.org
+COMMENT=	You are a hungry rabbit. Eat food to complete the level
+
+LICENSE=	GPLv2
+
+RUN_DEPENDS=	${PYGAME} \
+		${PYTHON_PKGNAMEPREFIX}opengl>=0:${PORTSDIR}/graphics/py-opengl
+
+WRKSRC=		${WRKDIR}/${PORTNAME}-post-${DISTVERSION}
+
+USE_PYTHON=	2.7
+
+PORTDOCS=	README.txt
+
+INSTALLS_ICONS=	yes
+
+SUB_FILES=	${PORTNAME}
+
+DESKTOP_ENTRIES="Bouncy the Hungry Rabbit" "${COMMENT}" "${PORTNAME}" \
+		"${PORTNAME}" "Game;ArcadeGame;" false
+
+OPTIONS_DEFINE=	SHADER
+SHADER_DESC=	Hardware shader support
+OPTIONS_DEFAULT=	SHADER
+
+.include <bsd.port.options.mk>
+
+post-extract:
+.if ${PORT_OPTIONS:MSHADER}
+	@${REINPLACE_CMD} -i '' '/#try/,/#    print/s/#//' ${WRKSRC}/objects.py
+.endif
+
+do-build:
+	@${PYTHON_CMD} -m compileall ${WRKSRC}
+	@${PYTHON_CMD} -O -m compileall ${WRKSRC}
+
+do-install:
+	@${REINPLACE_CMD} -e 's|%%PYTHON_CMD%%|${PYTHON_CMD}|' \
+		${WRKDIR}/${PORTNAME}
+	${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME} ${STAGEDIR}${PREFIX}/bin/
+
+	@${MKDIR} ${STAGEDIR}${DATADIR}
+
+.for d in  *.py *.pyc *.pyo
+	@(cd ${WRKSRC} ; ${INSTALL_SCRIPT} ${d} ${STAGEDIR}${DATADIR})
+.endfor
+
+.for d in data pyglyph
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} ${d} ${STAGEDIR}${DATADIR})
+.endfor
+
+	${INSTALL_DATA} ${_DISTDIR}/${PORTNAME}.png \
+		${STAGEDIR}${PREFIX}/share/pixmaps/
+
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${STAGEDIR}${DOCSDIR}
+
+.include <bsd.port.mk>

Added: head/games/bouncy/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/bouncy/distinfo	Tue Nov 26 18:44:26 2013	(r334963)
@@ -0,0 +1,4 @@
+SHA256 (python/bouncy-post-r6.tgz) = 0aeb48bd4c90fe814798b74d93cd760500cfe66018c1285283a122b96ad44d81
+SIZE (python/bouncy-post-r6.tgz) = 413823
+SHA256 (python/bouncy.png) = 9ec8e2c5f13818ec3b1716239852bb551b9aad9e32429e78fa80cddf78d2b5dd
+SIZE (python/bouncy.png) = 5104

Added: head/games/bouncy/files/bouncy.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/bouncy/files/bouncy.in	Tue Nov 26 18:44:26 2013	(r334963)
@@ -0,0 +1,7 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+cd "%%DATADIR%%"
+exec %%PYTHON_CMD%% ./game.py "${@}"

Added: head/games/bouncy/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/bouncy/pkg-descr	Tue Nov 26 18:44:26 2013	(r334963)
@@ -0,0 +1,10 @@
+You play Bouncy the Hungry Rabbit.
+
+You're in a garden with yummy veggies and a farmer who's not keen on you
+eating them. You can hide (and move around) under the ground.
+
+Bouncy was written so it could be enjoyed by my daughter,
+who is about to turn 3, and by older gamers. Hence it's not a violent game
+and "easy" is really, really easy, and "hard" is challenging.
+
+WWW: http://pyweek.org/e/bouncy/

Added: head/games/bouncy/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/bouncy/pkg-plist	Tue Nov 26 18:44:26 2013	(r334963)
@@ -0,0 +1,141 @@
+bin/bouncy
+%%DATADIR%%/astar.py
+%%DATADIR%%/astar.pyc
+%%DATADIR%%/astar.pyo
+%%DATADIR%%/collide.py
+%%DATADIR%%/collide.pyc
+%%DATADIR%%/collide.pyo
+%%DATADIR%%/data/Vera.ttf
+%%DATADIR%%/data/VeraMono.ttf
+%%DATADIR%%/data/VeraSe.ttf
+%%DATADIR%%/data/alert.mtl
+%%DATADIR%%/data/alert.obj
+%%DATADIR%%/data/bouncy-title.png
+%%DATADIR%%/data/bucket.mtl
+%%DATADIR%%/data/bucket.obj
+%%DATADIR%%/data/bump.mtl
+%%DATADIR%%/data/bump.obj
+%%DATADIR%%/data/carrot-eat1.mtl
+%%DATADIR%%/data/carrot-eat1.obj
+%%DATADIR%%/data/carrot-grey.png
+%%DATADIR%%/data/carrot.mtl
+%%DATADIR%%/data/carrot.obj
+%%DATADIR%%/data/carrot.png
+%%DATADIR%%/data/farmer.mtl
+%%DATADIR%%/data/farmer.obj
+%%DATADIR%%/data/fence.mtl
+%%DATADIR%%/data/fence.obj
+%%DATADIR%%/data/gate.mtl
+%%DATADIR%%/data/gate.obj
+%%DATADIR%%/data/hedge.mtl
+%%DATADIR%%/data/hedge.obj
+%%DATADIR%%/data/hole.mtl
+%%DATADIR%%/data/hole.obj
+%%DATADIR%%/data/lettuce-eat1.mtl
+%%DATADIR%%/data/lettuce-eat1.obj
+%%DATADIR%%/data/lettuce-eat2.mtl
+%%DATADIR%%/data/lettuce-eat2.obj
+%%DATADIR%%/data/lettuce-eat3.mtl
+%%DATADIR%%/data/lettuce-eat3.obj
+%%DATADIR%%/data/lettuce-eat4.mtl
+%%DATADIR%%/data/lettuce-eat4.obj
+%%DATADIR%%/data/lettuce-grey.png
+%%DATADIR%%/data/lettuce.mtl
+%%DATADIR%%/data/lettuce.obj
+%%DATADIR%%/data/lettuce.png
+%%DATADIR%%/data/level1.csv
+%%DATADIR%%/data/level2.csv
+%%DATADIR%%/data/level3.csv
+%%DATADIR%%/data/long-hedge.mtl
+%%DATADIR%%/data/long-hedge.obj
+%%DATADIR%%/data/pie.mtl
+%%DATADIR%%/data/pie.obj
+%%DATADIR%%/data/question.mtl
+%%DATADIR%%/data/question.obj
+%%DATADIR%%/data/rabbit-dig1.mtl
+%%DATADIR%%/data/rabbit-dig1.obj
+%%DATADIR%%/data/rabbit-dig2.mtl
+%%DATADIR%%/data/rabbit-dig2.obj
+%%DATADIR%%/data/rabbit-hopping.mtl
+%%DATADIR%%/data/rabbit-hopping.obj
+%%DATADIR%%/data/rabbit-landing.mtl
+%%DATADIR%%/data/rabbit-landing.obj
+%%DATADIR%%/data/rabbit-sitting.mtl
+%%DATADIR%%/data/rabbit-sitting.obj
+%%DATADIR%%/data/row.mtl
+%%DATADIR%%/data/row.obj
+%%DATADIR%%/data/scarecrow.mtl
+%%DATADIR%%/data/scarecrow.obj
+%%DATADIR%%/data/test_level.csv
+%%DATADIR%%/data/tomato-eat1.mtl
+%%DATADIR%%/data/tomato-eat1.obj
+%%DATADIR%%/data/tomato-eat2.mtl
+%%DATADIR%%/data/tomato-eat2.obj
+%%DATADIR%%/data/tomato-eat3.mtl
+%%DATADIR%%/data/tomato-eat3.obj
+%%DATADIR%%/data/tomato-eat4.mtl
+%%DATADIR%%/data/tomato-eat4.obj
+%%DATADIR%%/data/tomato-grey.png
+%%DATADIR%%/data/tomato.mtl
+%%DATADIR%%/data/tomato.obj
+%%DATADIR%%/data/tomato.png
+%%DATADIR%%/data/tree.mtl
+%%DATADIR%%/data/tree.obj
+%%DATADIR%%/euclid.py
+%%DATADIR%%/euclid.pyc
+%%DATADIR%%/euclid.pyo
+%%DATADIR%%/farmer.py
+%%DATADIR%%/farmer.pyc
+%%DATADIR%%/farmer.pyo
+%%DATADIR%%/fonts.py
+%%DATADIR%%/fonts.pyc
+%%DATADIR%%/fonts.pyo
+%%DATADIR%%/game.py
+%%DATADIR%%/game.pyc
+%%DATADIR%%/game.pyo
+%%DATADIR%%/leveledit.py
+%%DATADIR%%/leveledit.pyc
+%%DATADIR%%/leveledit.pyo
+%%DATADIR%%/map.py
+%%DATADIR%%/map.pyc
+%%DATADIR%%/map.pyo
+%%DATADIR%%/objects.py
+%%DATADIR%%/objects.pyc
+%%DATADIR%%/objects.pyo
+%%DATADIR%%/objloader.py
+%%DATADIR%%/objloader.pyc
+%%DATADIR%%/objloader.pyo
+%%DATADIR%%/pyglyph/__init__.py
+%%DATADIR%%/pyglyph/__init__.pyc
+%%DATADIR%%/pyglyph/__init__.pyo
+%%DATADIR%%/pyglyph/font.py
+%%DATADIR%%/pyglyph/font.pyc
+%%DATADIR%%/pyglyph/font.pyo
+%%DATADIR%%/pyglyph/html.py
+%%DATADIR%%/pyglyph/html.pyc
+%%DATADIR%%/pyglyph/html.pyo
+%%DATADIR%%/pyglyph/layout.py
+%%DATADIR%%/pyglyph/layout.pyc
+%%DATADIR%%/pyglyph/layout.pyo
+%%DATADIR%%/pyglyph/ttf.py
+%%DATADIR%%/pyglyph/ttf.pyc
+%%DATADIR%%/pyglyph/ttf.pyo
+%%DATADIR%%/rabbit.py
+%%DATADIR%%/rabbit.pyc
+%%DATADIR%%/rabbit.pyo
+%%DATADIR%%/shaders.py
+%%DATADIR%%/shaders.pyc
+%%DATADIR%%/shaders.pyo
+%%DATADIR%%/showobj.py
+%%DATADIR%%/showobj.pyc
+%%DATADIR%%/showobj.pyo
+%%DATADIR%%/textures.py
+%%DATADIR%%/textures.pyc
+%%DATADIR%%/textures.pyo
+%%DATADIR%%/ui.py
+%%DATADIR%%/ui.pyc
+%%DATADIR%%/ui.pyo
+share/pixmaps/bouncy.png
+@dirrm %%DATADIR%%/pyglyph
+@dirrm %%DATADIR%%/data
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"